View a markdown version of this page

ListNotebooks - Amazon DataZone

ListNotebooks

Lists notebooks in Amazon SageMaker Unified Studio.

Request Syntax

GET /v2/domains/domainIdentifier/notebooks?maxResults=maxResults&nextToken=nextToken&owningProjectIdentifier=owningProjectIdentifier&sortBy=sortBy&sortOrder=sortOrder&status=status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainIdentifier

The identifier of the Amazon SageMaker Unified Studio domain in which to list notebooks.

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

Required: Yes

maxResults

The maximum number of notebooks to return in a single call. When the number of notebooks exceeds the value of MaxResults, the response contains a NextToken value.

Valid Range: Minimum value of 1. Maximum value of 50.

nextToken

When the number of notebooks is greater than the default value for the MaxResults parameter, or if you explicitly specify a value for MaxResults that is less than the number of notebooks, the response includes a pagination token named NextToken. You can specify this NextToken value in a subsequent call to ListNotebooks to list the next set of notebooks.

Length Constraints: Minimum length of 1. Maximum length of 8192.

owningProjectIdentifier

The identifier of the project that owns the notebooks.

Pattern: [a-zA-Z0-9_-]{1,36}

Required: Yes

sortBy

The field to sort the results by.

Valid Values: CREATED_AT | UPDATED_AT

sortOrder

The sort order for the results.

Valid Values: ASCENDING | DESCENDING

status

The status to filter notebooks by.

Valid Values: ACTIVE | ARCHIVED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "createdAt": number, "createdBy": "string", "description": "string", "domainId": "string", "id": "string", "name": "string", "owningProjectId": "string", "status": "string", "updatedAt": number, "updatedBy": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

The results of the ListNotebooks action.

Type: Array of NotebookSummary objects

nextToken

When the number of notebooks is greater than the default value for the MaxResults parameter, or if you explicitly specify a value for MaxResults that is less than the number of notebooks, the response includes a pagination token named NextToken. You can specify this NextToken value in a subsequent call to ListNotebooks to list the next set of notebooks.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 8192.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request has failed because of an unknown error, exception or failure.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

UnauthorizedException

You do not have permission to perform this action.

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: